Index: asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/main.c	(revision 342)
@@ -76,4 +76,5 @@
 #include <btstack/utils.h>
 #include "ntp_cli.h"
+#include "netcmd.h"
 
 ID ws_api_mailboxid = MAIN_DATAQUEUE;
@@ -82,5 +83,5 @@
 #ifdef IF_ETHER_BTUSB
 extern int bt_bnep_mode;
-
+/* PANU向けリモートアドレス */
 // BUFFALLO
 //bd_addr_t remote_addr = { 0x00,0x1B,0xDC,0x04,0x5C,0x2D };
@@ -143,5 +144,4 @@
 
 ntshell_t ntshell;
-void _start_c(long *p);
 
 /*
@@ -149,13 +149,4 @@
  */
 void main_task(intptr_t exinf)
-{
-	long args[] = {
-		1,
-		(long)"ntshell",
-	};
-	_start_c(args);
-}
-
-int main(int argc, char **argv)
 {
 #ifdef IF_ETHER_BTUSB
@@ -169,6 +160,4 @@
 	ntshell_set_prompt(&ntshell, "NTShell>");
 	ntshell_execute(&ntshell);
-
-	return 0;
 }
 
@@ -184,5 +173,5 @@
 	fno.lfsize = _MAX_LFN + 1;
 #endif
-	ER ret2;
+	ER ret;
 
 	ntshell_task_init();
@@ -239,6 +228,6 @@
 #endif
 
-	ret2 = get_tim(&main_obj.now);
-	if (ret2 != E_OK) {
+	ret = get_tim(&main_obj.now);
+	if (ret != E_OK) {
 		syslog(LOG_ERROR, "get_tim");
 		ext_tsk();
@@ -309,9 +298,4 @@
 	echonet_change_netif_link(link_up, up);
 }
-
-extern int usrcmd_ping(int argc, char **argv);
-extern int usrcmd_dhcp4c(int argc, char **argv);
-extern int usrcmd_dnsc(int argc, char **argv);
-extern int usrcmd_ntpc(int argc, char **argv);
 
 static const cmd_table_t cmdlist[] = {
Index: asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/main.cfg	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/main.cfg	(revision 342)
@@ -84,4 +84,4 @@
 INCLUDE("echonet_main.cfg");
 
-CRE_TSK(MAIN_TASK, { TA_ACT, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
+CRE_TSK(MAIN_TASK, { TA_NULL, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
 CRE_DTQ(MAIN_DATAQUEUE, { TA_TFIFO, NUM_MAIN_DATAQUEUE, NULL });
Index: asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/tinet_app_config.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/tinet_app_config.h	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app6_hot_water_pot/src/tinet_app_config.h	(revision 342)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id$
+ *  @(#) $Id: tinet_app_config.h 1505 2018-04-17 11:22:02Z coas-nagasima $
  */
 
@@ -624,5 +624,5 @@
 /* DNS サーバの IP アドレス */
 
-#if !defined(DHCP6_CLI_CFG)
+//#if !defined(DHCP6_CLI_CFG)
 
 #define IPV6_ADDR_DNS_INIT	\
@@ -632,9 +632,9 @@
 	    UINT_C(0xfe), UINT_C(0x56), UINT_C(0xc5), UINT_C(0xd6) }}}
 
-#endif	/* of #if !defined(DHCP6_CLI_CFG) */
-
-#if !defined(DHCP4_CLI_CFG)
-#define IPV4_ADDR_DNS		MAKE_IPV4_ADDR(192,168,2,1)
-#endif
+//#endif	/* of #if !defined(DHCP6_CLI_CFG) */
+
+//#if !defined(DHCP4_CLI_CFG)
+#define IPV4_ADDR_DNS		MAKE_IPV4_ADDR(192,168,137,1)
+//#endif
 
 /* DOMAIN 名 */
Index: asp3_tinet_ecnl_rx/trunk/app7_buzzer/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app7_buzzer/Debug/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app7_buzzer/Debug/Makefile	(revision 342)
@@ -382,5 +382,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app7_buzzer/DebugCitrus/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app7_buzzer/DebugCitrus/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app7_buzzer/DebugCitrus/Makefile	(revision 342)
@@ -382,5 +382,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app7_buzzer/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app7_buzzer/DebugEther/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app7_buzzer/DebugEther/Makefile	(revision 342)
@@ -380,5 +380,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/echonet_main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/echonet_main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/echonet_main.c	(revision 342)
@@ -50,5 +50,5 @@
 #include "echonet_main.h"
 #include "echonet_cfg.h"
-#include "rx630.h"
+#include "target_kernel_impl.h"
 
 /* TODO: メーカーコードを設定 */
@@ -378,4 +378,9 @@
 	main_state = main_state_search;
 	main_timer = 1000 * 1000;
+
+	ER ret = act_tsk(MAIN_TASK);
+	if (ret != E_OK) {
+		syslog(LOG_ERROR, "act_tsk");
+	}
 }
 
Index: asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/main.c	(revision 342)
@@ -76,4 +76,5 @@
 #include <btstack/utils.h>
 #include "ntp_cli.h"
+#include "netcmd.h"
 
 ID ws_api_mailboxid = MAIN_DATAQUEUE;
@@ -82,5 +83,5 @@
 #ifdef IF_ETHER_BTUSB
 extern int bt_bnep_mode;
-
+/* PANU向けリモートアドレス */
 // BUFFALLO
 //bd_addr_t remote_addr = { 0x00,0x1B,0xDC,0x04,0x5C,0x2D };
@@ -143,5 +144,4 @@
 
 ntshell_t ntshell;
-void _start_c(long *p);
 
 /*
@@ -149,13 +149,4 @@
  */
 void main_task(intptr_t exinf)
-{
-	long args[] = {
-		1,
-		(long)"ntshell",
-	};
-	_start_c(args);
-}
-
-int main(int argc, char **argv)
 {
 #ifdef IF_ETHER_BTUSB
@@ -169,6 +160,4 @@
 	ntshell_set_prompt(&ntshell, "NTShell>");
 	ntshell_execute(&ntshell);
-
-	return 0;
 }
 
@@ -184,5 +173,5 @@
 	fno.lfsize = _MAX_LFN + 1;
 #endif
-	ER ret2;
+	ER ret;
 
 	ntshell_task_init();
@@ -239,6 +228,6 @@
 #endif
 
-	ret2 = get_tim(&main_obj.now);
-	if (ret2 != E_OK) {
+	ret = get_tim(&main_obj.now);
+	if (ret != E_OK) {
 		syslog(LOG_ERROR, "get_tim");
 		ext_tsk();
@@ -309,9 +298,4 @@
 	echonet_change_netif_link(link_up, up);
 }
-
-extern int usrcmd_ping(int argc, char **argv);
-extern int usrcmd_dhcp4c(int argc, char **argv);
-extern int usrcmd_dnsc(int argc, char **argv);
-extern int usrcmd_ntpc(int argc, char **argv);
 
 static const cmd_table_t cmdlist[] = {
Index: asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/main.cfg	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/main.cfg	(revision 342)
@@ -84,4 +84,4 @@
 INCLUDE("echonet_main.cfg");
 
-CRE_TSK(MAIN_TASK, { TA_ACT, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
+CRE_TSK(MAIN_TASK, { TA_NULL, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
 CRE_DTQ(MAIN_DATAQUEUE, { TA_TFIFO, NUM_MAIN_DATAQUEUE, NULL });
Index: asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/tinet_app_config.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/tinet_app_config.h	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app7_buzzer/src/tinet_app_config.h	(revision 342)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id$
+ *  @(#) $Id: tinet_app_config.h 1505 2018-04-17 11:22:02Z coas-nagasima $
  */
 
@@ -624,5 +624,5 @@
 /* DNS サーバの IP アドレス */
 
-#if !defined(DHCP6_CLI_CFG)
+//#if !defined(DHCP6_CLI_CFG)
 
 #define IPV6_ADDR_DNS_INIT	\
@@ -632,9 +632,9 @@
 	    UINT_C(0xfe), UINT_C(0x56), UINT_C(0xc5), UINT_C(0xd6) }}}
 
-#endif	/* of #if !defined(DHCP6_CLI_CFG) */
-
-#if !defined(DHCP4_CLI_CFG)
-#define IPV4_ADDR_DNS		MAKE_IPV4_ADDR(192,168,2,1)
-#endif
+//#endif	/* of #if !defined(DHCP6_CLI_CFG) */
+
+//#if !defined(DHCP4_CLI_CFG)
+#define IPV4_ADDR_DNS		MAKE_IPV4_ADDR(192,168,137,1)
+//#endif
 
 /* DOMAIN 名 */
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/Debug/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/Debug/Makefile	(revision 342)
@@ -369,5 +369,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/DebugCitrus/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/DebugCitrus/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/DebugCitrus/Makefile	(revision 342)
@@ -369,5 +369,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/arch/rx630_gcc/prc_kernel_impl.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/arch/rx630_gcc/prc_kernel_impl.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/arch/rx630_gcc/prc_kernel_impl.c	(revision 342)
@@ -39,5 +39,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id$
+ *  @(#) $Id: prc_kernel_impl.c 1518 2018-04-24 00:37:16Z coas-nagasima $
  */
 
@@ -237,2 +237,55 @@
 #endif /* OMIT_DEFAULT_EXC_HANDLER */
 
+void _start_c(char **args);
+
+void
+_sta_ker()
+{
+	const char *const args[] = {
+		1,
+		"asp3",
+		0,
+		"TZ=JST-9",
+		0
+	};
+	_start_c(args);
+}
+
+//#include <errno.h>
+#define ENOSYS          38
+
+__attribute__((weak))
+long SYS_poll()
+{
+	return -ENOSYS;
+}
+
+__attribute__((weak))
+long SYS_open()
+{
+	return -ENOSYS;
+}
+
+__attribute__((weak))
+void SYS_set_tid_address()
+{
+	return 0;//-ENOSYS;
+}
+
+__attribute__((weak))
+void SYS_mmap2()
+{
+	return 0;//-ENOSYS;
+}
+
+__attribute__((weak))
+void SYS_exit_group()
+{
+	ext_ker();
+}
+
+__attribute__((weak))
+void SYS_exit()
+{
+	ext_ker();
+}
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/arch/rx630_gcc/start.S
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/arch/rx630_gcc/start.S	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/arch/rx630_gcc/start.S	(revision 342)
@@ -144,5 +144,5 @@
 	;
 kernel_link:
-	bra.a	_sta_ker					; --> _sta_ker()
+	bra.a	__sta_ker					; --> __sta_ker()
 
 	.end
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/include/t_syslog.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/include/t_syslog.h	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/include/t_syslog.h	(revision 342)
@@ -140,7 +140,4 @@
 
 #ifndef TOPPERS_OMIT_SYSLOG
-#ifdef TOPPERS_OMIT_TECS
-#define tSysLog_eSysLog_write syslog_wri_log
-#endif
 
 /*
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/sample/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/sample/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/sample/Makefile	(revision 342)
@@ -362,5 +362,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/syssvc/tSerialPortMain.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/syssvc/tSerialPortMain.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/syssvc/tSerialPortMain.c	(revision 342)
@@ -504,4 +504,5 @@
 	pk_rpor->reacnt = VAR_receiveCount;
 	pk_rpor->wricnt = VAR_sendCount;
+	pk_rpor->wbufsz = ATTR_sendBufferSize;
 	return(E_OK);
 }
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/tinet/net/ethernet.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/tinet/net/ethernet.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/tinet/net/ethernet.c	(revision 342)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id$
+ *  @(#) $Id: ethernet.c 1524 2018-04-25 13:48:23Z coas-nagasima $
  */
 
@@ -195,72 +195,83 @@
 
 /**
- * Called by a driver when its link goes up
- */
-void ether_set_link_up()
-{
-  if (!(ether_ifnet.flags & IF_FLAG_LINK_UP)) {
-    ether_ifnet.flags |= IF_FLAG_LINK_UP;
-
-    if (ether_ifnet.flags & IF_FLAG_UP) {
-#if LWIP_ARP
-      /* For Ethernet network interfaces, we would like to send a "gratuitous ARP" */ 
-      if (ether_ifnet.flags & IF_FLAG_ETHARP) {
-        etharp_gratuitous(&ether_ifnet);
-      }
-#endif /* LWIP_ARP */
-
-#if LWIP_IGMP
-      /* resend IGMP memberships */
-      if (ether_ifnet._flags & IF_FLAG_IGMP) {
-        igmp_report_groups(&ether_ifnet);
-      }
-#endif /* LWIP_IGMP */
-    }
-    if (ether_ifnet.link_callback) {
-      (ether_ifnet.link_callback)(&ether_ifnet);
-    }
-  }
-}
+ * ether_set_link_up -- リンクしたときにNICから呼び出される
+ */
+void
+ether_set_link_up()
+{
+	if (!(ether_ifnet.flags & IF_FLAG_LINK_UP)) {
+		ether_ifnet.flags |= IF_FLAG_LINK_UP;
+
+		if (ether_ifnet.flags & IF_FLAG_UP) {
+#if defined(_IP4_CFG) && defined(SUPPORT_ETHER)
+			/* ARP再構築？ */
+#endif /* #if defined(_IP4_CFG) && defined(SUPPORT_ETHER) */
+
+#ifdef SUPPORT_IGMP
+			/* IGMP参加 */
+#endif /* #ifdef SUPPORT_IGMP */
+			}
+		if (ether_ifnet.link_callback) {
+			(ether_ifnet.link_callback)(&ether_ifnet);
+			}
+		}
+	}
 
 /**
- * Called by a driver when its link goes down
- */
-void ether_set_link_down()
-{
-  if (ether_ifnet.flags & IF_FLAG_LINK_UP) {
-    ether_ifnet.flags &= ~IF_FLAG_LINK_UP;
-    if (ether_ifnet.link_callback) {
-      (ether_ifnet.link_callback)(&ether_ifnet);
-    }
-  }
-}
-
-void ether_set_up()
-{
-  if (!(ether_ifnet.flags & IF_FLAG_UP)) {
-    ether_ifnet.flags |= IF_FLAG_UP;
-    if (ether_ifnet.link_callback) {
-      (ether_ifnet.link_callback)(&ether_ifnet);
-    }
-  }
-}
-
-void ether_set_down()
-{
-  if (ether_ifnet.flags & IF_FLAG_UP) {
-    ether_ifnet.flags &= ~IF_FLAG_UP;
-    if (ether_ifnet.link_callback) {
-      (ether_ifnet.link_callback)(&ether_ifnet);
-    }
-  }
-}
-
-/**
- * Set callback to be called when link is brought up/down
- */
-void ether_set_link_callback(ether_status_callback_fn link_callback)
+ * ether_set_link_up -- リンクが切断したときにNICから呼び出される
+ */
+void
+ether_set_link_down()
+{
+	if (ether_ifnet.flags & IF_FLAG_LINK_UP) {
+		ether_ifnet.flags &= ~IF_FLAG_LINK_UP;
+		if (ether_ifnet.link_callback) {
+			(ether_ifnet.link_callback)(&ether_ifnet);
+			}
+		}
+	}
+
+/*
+ * ether_set_up -- DHCPでアドレスが設定されたとき呼び出される
+ */
+
+void
+ether_set_up()
+{
+	if (!(ether_ifnet.flags & IF_FLAG_UP)) {
+		ether_ifnet.flags |= IF_FLAG_UP;
+		if (ether_ifnet.link_callback) {
+			(ether_ifnet.link_callback)(&ether_ifnet);
+			}
+		}
+	}
+
+/*
+ * ether_set_down -- DHCPでアドレスが解放されたとき呼び出される
+ */
+
+void
+ether_set_down()
+{
+	if (ether_ifnet.flags & IF_FLAG_UP) {
+		ether_ifnet.flags &= ~IF_FLAG_UP;
+		if (ether_ifnet.link_callback) {
+			(ether_ifnet.link_callback)(&ether_ifnet);
+			}
+		}
+	}
+
+/*
+ * ether_set_link_callback -- リンク状態変化時のコールバック登録
+ */
+
+void
+ether_set_link_callback(ether_status_callback_fn link_callback)
 {
 	ether_ifnet.link_callback = link_callback;
-}
+	if (ether_ifnet.link_callback) {
+		(ether_ifnet.link_callback)(&ether_ifnet);
+		}
+	}
 
 /*
Index: asp3_tinet_ecnl_rx/trunk/asp3_dcre/tinet/net/ethernet.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/asp3_dcre/tinet/net/ethernet.h	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/asp3_dcre/tinet/net/ethernet.h	(revision 342)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id$
+ *  @(#) $Id: ethernet.h 1524 2018-04-25 13:48:23Z coas-nagasima $
  */
 
@@ -311,5 +311,4 @@
 extern uint32_t ether_srand (void);
 
-/** Function prototype for netif status- or link-callback functions. */
 typedef void (*ether_status_callback_fn)(T_IFNET *ether);
 extern void ether_set_link_callback(ether_status_callback_fn link_callback);
Index: asp3_tinet_ecnl_rx/trunk/bnep_bridge/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/bnep_bridge/Debug/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/bnep_bridge/Debug/Makefile	(revision 342)
@@ -383,5 +383,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/bnep_bridge/src/main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/bnep_bridge/src/main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/bnep_bridge/src/main.c	(revision 342)
@@ -143,6 +143,4 @@
 
 ntshell_t ntshell;
-#if !defined(_MSC_VER)
-void _start_c(long *p);
 
 /*
@@ -150,13 +148,4 @@
  */
 void main_task(intptr_t exinf)
-{
-	long args[] = {
-		1,
-		(long)"ntshell",
-	};
-	_start_c(args);
-}
-
-int main(int argc, char **argv)
 {
 	// NAP mode
@@ -168,17 +157,6 @@
 	ntshell_set_prompt(&ntshell, "NTShell>");
 	ntshell_execute(&ntshell);
-
-	return 0;
-}
-#else
-void main_task(intptr_t exinf)
-{
-	main_initialize();
-
-	ntshell_init(&ntshell, uart_read, uart_write, cmd_execute, NULL);
-	ntshell_set_prompt(&ntshell, "NTShell>");
-	ntshell_execute(&ntshell);
-}
-#endif
+}
+
 /*
  * 初期化
@@ -192,5 +170,5 @@
 	fno.lfsize = _MAX_LFN + 1;
 #endif
-	ER ret2;
+	ER ret;
 
 	ntshell_task_init();
@@ -226,6 +204,6 @@
 	usbhost_init(USBHOST_TASK);
 
-	ret2 = get_tim(&main_obj.now);
-	if (ret2 != E_OK) {
+	ret = get_tim(&main_obj.now);
+	if (ret != E_OK) {
 		syslog(LOG_ERROR, "get_tim");
 		ext_tsk();
Index: asp3_tinet_ecnl_rx/trunk/bnep_bridge/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_rx/trunk/bnep_bridge/src/main.cfg	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/bnep_bridge/src/main.cfg	(revision 342)
@@ -48,5 +48,5 @@
 INCLUDE("ntshell_main.cfg");
 
-CRE_TSK(MAIN_TASK, { TA_ACT, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
+CRE_TSK(MAIN_TASK, { TA_NULL, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
 CRE_TSK(ETHER_INPUT_TASK,  { TA_ACT, 0, ether_input_task,  ETHER_INPUT_PRIORITY,  ETHER_INPUT_STACK_SIZE,  NULL });
 CRE_DTQ(MAIN_DATAQUEUE, { TA_TFIFO, NUM_MAIN_DATAQUEUE, NULL });
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/arch/rx/crt_arch.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/arch/rx/crt_arch.h	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/arch/rx/crt_arch.h	(revision 342)
@@ -0,0 +1,1 @@
+#define main sta_ker
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/arch/rx/syscall_arch.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/arch/rx/syscall_arch.h	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/arch/rx/syscall_arch.h	(revision 342)
@@ -85,39 +85,14 @@
 
 __attribute__((visibility("hidden")))
-long __syscall(syscall_arg_t, ...);
+long __syscall_ret(unsigned long), __syscall_nr(long nr, ...);
 
-static inline long __syscall0(long n)
-{
-	return __syscall(n);
-}
+#define __syscall(n, ...) n(__VA_ARGS__)
+#define __syscall_cp(n, ...) n(__VA_ARGS__)
+#define syscall(n, ...) __syscall_ret(__syscall(n, __VA_ARGS__))
+#define syscall_cp(n, ...) __syscall_ret(__syscall_cp(n, __VA_ARGS__))
 
-static inline long __syscall1(long n, long a)
-{
-	return __syscall(n, a);
-}
-
-static inline long __syscall2(long n, long a, long b)
-{
-	return __syscall(n, a, b);
-}
-
-static inline long __syscall3(long n, long a, long b, long c)
-{
-	return __syscall(n, a, b, c);
-}
-
-static inline long __syscall4(long n, long a, long b, long c, long d)
-{
-	return __syscall(n, a, b, c, d);
-}
-
-static inline long __syscall5(long n, long a, long b, long c, long d, long e)
-{
-	return __syscall(n, a, b, c, d, e);
-}
-
-static inline long __syscall6(long n, long a, long b, long c, long d, long e, long f)
-{
-	return __syscall(n, a, b, c, d, e, f);
-}
+#define __syscall2(n, ...) n(__VA_ARGS__)
+#define __syscall3(n, ...) n(__VA_ARGS__)
+#define __syscall_cp2(n, ...) n(__VA_ARGS__)
+#define __syscall_cp3(n, ...) n(__VA_ARGS__)
 #endif
